CubicSDR impossible install SDRPLAY linux

General discussions
darwenn
Posts: 7
Joined: Fri Sep 15, 2017 6:26 pm

CubicSDR impossible install SDRPLAY linux

Postby darwenn » Fri Sep 15, 2017 6:33 pm

Hello, sorry for my bad english (i am french).

I would like to use my SRP1 under linux with CubicSDR

I follow theses steps : https://www.ab9il.net/software-defined- ... icsdr.html

But when i launch Make for compiling CubicSDR at 70% i have this message error

[ 70%] Building CXX object CMakeFiles/CubicSDR.dir/src/process/ScopeVisualProcessor.cpp.o
In file included from /home/jm62/CubicSDR/src/process/ScopeVisualProcessor.h:6:0,
from /home/jm62/CubicSDR/src/process/ScopeVisualProcessor.cpp:4:
/home/jm62/CubicSDR/src/process/VisualProcessor.h: In constructor ‘VisualProcessor<AudioThreadInput, ScopeRenderData>::VisualProcessor()’:
/home/jm62/CubicSDR/src/process/VisualProcessor.h:14:7: error: conversion from ‘std::nullptr_t’ to non-scalar type ‘VisualProcessor<AudioThreadInput, ScopeRenderData>::VisualInputQueueTypePtr {aka std::shared_ptr<ThreadBlockingQueue<std::shared_ptr<AudioThreadInput> > >}’ requested
class VisualProcessor {
^
/home/jm62/CubicSDR/src/process/ScopeVisualProcessor.cpp: In constructor ‘ScopeVisualProcessor::ScopeVisualProcessor()’:
/home/jm62/CubicSDR/src/process/ScopeVisualProcessor.cpp:8:90: note: synthesized method ‘VisualProcessor<AudioThreadInput, ScopeRenderData>::VisualProcessor()’ first required here
ScopeVisualProcessor::ScopeVisualProcessor(): outputBuffers("ScopeVisualProcessorBuffers") {
^
make[2]: *** [CMakeFiles/CubicSDR.dir/src/process/ScopeVisualProcessor.cpp.o] Erreur 1
make[1]: *** [CMakeFiles/CubicSDR.dir/all] Erreur 2
make: *** [all] Erreur 2

Perpaps i forgot a step. Anyone could give me all steps in order, whith drivers install for installing my SDRPLAY SRP1 undex Unbuntu ?

Thank you.
Last edited by darwenn on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

darwenn
Posts: 7
Joined: Fri Sep 15, 2017 6:26 pm

Re: CubicSDR impossible install SDRPLAY linux

Postby darwenn » Sat Sep 16, 2017 4:25 pm

Sorry, it's ok now : i forgot : requires API from http://www.sdrplay.com/linuxdl.php to be installed first.
Last edited by darwenn on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason


Return to “General”

Who is online

Users browsing this forum: Bing [Bot] and 4 guests